Package Details: lossywav-git 1.4.2p.r1.r0.gd110728-1

Git Clone URL: https://aur.archlinux.org/lossywav-git.git (read-only)
Package Base: lossywav-git
Description: An attempt to port lossyWAV to POSIX.
Upstream URL: https://github.com/MoSal/lossywav-for-posix
Licenses: GPL
Conflicts: lossywav
Provides: lossywav
Submitter: sekret
Maintainer: sekret
Last Packager: sekret
Votes: 3
Popularity: 0.000000
First Submitted: 2014-12-16 17:16
Last Updated: 2016-12-25 21:55

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

aphirst commented on 2019-01-27 14:03

I'm also unable to build:

==> Starting prepare()...
Traceback (most recent call last):
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Node.py", line 297, in ant_iter
    raise StopIteration
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Scripting.py", line 120, in waf_entry_point
    run_commands()
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Scripting.py", line 177, in run_commands
    parse_options()
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Scripting.py", line 150, in parse_options
    Context.create_context('options').execute()
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Options.py", line 145, in execute
    super(OptionsContext,self).execute()
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Context.py", line 88, in execute
    self.recurse([os.path.dirname(g_module.root_path)])
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Context.py", line 129, in recurse
    user_function(self)
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/wscript", line 7, in options
    opt.load('compiler_cxx')
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Context.py", line 85, in load
    fun(self)
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Tools/compiler_cxx.py", line 40, in options
    opt.load_special_tools('cxx_*.py')
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Context.py", line 319, in load_special_tools
    lst=self.root.find_node(waf_dir).find_node('waflib/extras').ant_glob(var)
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Node.py", line 346, in ant_glob
    ret=[x for x in self.ant_iter(accept=accept,pats=[to_pat(incl),to_pat(excl)],maxdepth=kw.get('maxdepth',25),dir=dir,src=src,remove=kw.get('remove',True))]
  File "/home/adam/.cache/aurutils/sync/lossywav-git/src/lossywav/.waf3-1.9.5-e9e36ebc81cc860d8a25c4c34f0b27ec/waflib/Node.py", line 346, in <listcomp>
    ret=[x for x in self.ant_iter(accept=accept,pats=[to_pat(incl),to_pat(excl)],maxdepth=kw.get('maxdepth',25),dir=dir,src=src,remove=kw.get('remove',True))]
RuntimeError: generator raised StopIteration
==> ERROR: A failure occurred in prepare().
    Aborting...

sekret commented on 2017-12-19 12:01

Same here. I don't know how to fix this though. Filed a bug report: https://github.com/MoSal/lossywav-for-posix/issues/1

Thanks for the heads up!

archlinux38 commented on 2017-12-18 22:51

I get compilation errors:

Waf: Entering directory `/tmp/yaourt-tmp-user/aur-lossywav-git/src/lossywav/build' [13/15] Compiling units/nWav.cpp ../units/nWav.cpp:225:24: error: flexible array member ‘{anonymous}::tDS64Header::Table’ not at end of ‘struct {anonymous}::tWAVEChunks’ tChunkSize64 Table[]; ^ ../units/nWav.cpp:352:15: note: next member ‘{anonymous}::tFMTChunk {anonymous}::tWAVEChunks::FMT’ declared here tFMTChunk FMT; ^~~ ../units/nWav.cpp:348:8: note: in the definition of ‘struct {anonymous}::tWAVEChunks’ struct tWAVEChunks ^~~~~~~~~~~ ../units/nWav.cpp:225:24: error: flexible array member ‘{anonymous}::tDS64Header::Table’ not at end of ‘struct {anonymous}::tRIFF_Rec’ tChunkSize64 Table[]; ^ ../units/nWav.cpp:352:15: note: next member ‘{anonymous}::tFMTChunk {anonymous}::tWAVEChunks::FMT’ declared here tFMTChunk FMT; ^~~ ../units/nWav.cpp:413:8: note: in the definition of ‘struct {anonymous}::tRIFF_Rec’ struct tRIFF_Rec ^~~~~~~~~ ../units/nWav.cpp:225:24: error: flexible array member ‘{anonymous}::tDS64Header::Table’ not at end of ‘struct {anonymous}::RIFF’ tChunkSize64 Table[]; ^ ../units/nWav.cpp:352:15: note: next member ‘{anonymous}::tFMTChunk {anonymous}::tWAVEChunks::FMT’ declared here tFMTChunk FMT; ^~~ ../units/nWav.cpp:487:8: note: in the definition of ‘struct {anonymous}::RIFF’ struct RIFF ^~~~

Waf: Leaving directory `/tmp/yaourt-tmp-user/aur-lossywav-git/src/lossywav/build' Build failed -> task in 'lossywav-objs' failed with exit status 1 (run with -v to display more information) ==> ERROR: A failure occurred in build(). Aborting...

MoSal commented on 2016-11-27 22:27

The build process uses waf now.

Also, maybe fftw should be enabled while at it.